<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Categoriadeunidades{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO categoriadeunidades (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idcategoriadeunidades,$nombre,$descripcion){
	$sql="UPDATE categoriadeunidades SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idcategoriadeunidades='$idcategoriadeunidades'";
	return ejecutarConsulta($sql);
}
public function desactivar($idcategoriadeunidades){
	$sql="UPDATE categoriadeunidades SET condicion='0' WHERE idcategoriadeunidades='$idcategoriadeunidades'";
	return ejecutarConsulta($sql);
}
public function activar($idcategoriadeunidades){
	$sql="UPDATE categoriadeunidades SET condicion='1' WHERE idcategoriadeunidades='$idcategoriadeunidades'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idcategoriadeunidades){
	$sql="SELECT * FROM categoriadeunidades WHERE idcategoriadeunidades='$idcategoriadeunidades'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM categoriadeunidades";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM categoriadeunidades WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
